#!/bin/bash
# ANR MEG PROJECT :http://mescal.imag.fr/membres/yves.denneulin/MEG/
# Denneulin, Barrios-Hernandez and Melo - LIG MESCAL LABORATORY @2009
# General Execution Script for SCT Plugin
# Using Taktuk (R) 
# The principle of this Script is to execute in all nodes the same 
#
# EXECUTION MODE TO CLUSTERS ------ SIMPLE USE ----
# Remember: the name of the file that it contains the name of the machines is SCTMachines
#
#
#
#
#Initialisation and distribution of the machines/nodes to calculate
JUST_TWO_SECONDS=2
echo ' '
echo "Execution Cluster Mode with Taktuk"
echo " "
echo " Interactive Mode "
echo " "
cat $OAR_NODEFILE > SCTMachines_$OAR_JOB_ID
#Test File named SCTMachines_1254
echo " The Nodes are listed in $SCTMachines_$OAR_JOB_ID "
echo " "
echo " Number of Nodes used: $NODES"
#NODES=
# The first codes to run are HCreat, ZantCreat, ZCreat, Zmcreat and YmodCreat
#G1 is the number of groups of nodes to distribute the execution
#G1=($NODES/5)
# Execution of code
taktuk -s -f SCT_MACHINES_$OAR_JOB_ID broadcast exec { ./Hcreat }
# output of HCreat to Node 1 from all...
taktuk -m $FIRSTMACHINE -f $SCT_MACHINES_$OAR_JOB_ID broadcast get { Hcreat.ctf} {/home/g5k/SCTBackupSession_$OAR_JOB_ID.$START_TIME/}
sleep $JUST_TWO_SECONDS
#execution of code
taktuk -s -f SCT_MACHINES_$OAR_JOB_ID broadcast exec { ./Zantcreat }
# output of ZantCreat to Node 1 from all...
taktuk -m $FIRSTMACHINE -f $SCT_MACHINES_$OAR_JOB_ID broadcast get { Zantcreat.ctf} {/home/g5k/SCTBackupSession_$OAR_JOB_ID.$START_TIME/}
# Execution of code
taktuk -s -f SCT_MACHINES_$OAR_JOB_ID broadcast exec { ./Zcreat }
# output of ZCreat to Node 1 from all...
taktuk -m $FIRSTMACHINE -f $SCT_MACHINES_$OAR_JOB_ID broadcast get { ZCreat.ctf} {/home/g5k/SCTBackupSession_$OAR_JOB_ID.$START_TIME/}
sleep $JUST_TWO_SECONDS
# Execution of code
taktuk -s -f SCT_MACHINES_$OAR_JOB_ID broadcast exec { ./ZmemsCreat }
# output of ZmCreat to Node 1 from all...
taktuk -m $FIRSTMACHINE -f $SCT_MACHINES_$OAR_JOB_ID broadcast get { ZmemsCreat.ctf} {/home/g5k/SCTBackupSession_$OAR_JOB_ID.$START_TIME/}
sleep $JUST_TWO_SECONDS
# output of YmodCreat to Node 1 from all...
taktuk -m $FIRSTMACHINE -f $SCT_MACHINES_$OAR_JOB_ID broadcast get { Ymodcreat.ctf} {/home/g5k/SCTBackupSession_$OAR_JOB_ID.$START_TIME/}
sleep $JUST_TWO_SECONDS
#
#
#
#NODES=
# The next time codes to run are 
#G1 is the number of groups of nodes to distribute the execution  HIvbacreat  HIvbalcreat  Screat
# Execution of code
taktuk -s -f SCT_MACHINES_$OAR_JOB_ID broadcast exec { ./HIvbacreat }
# output of HIVbacreat to Node 1 from all...
taktuk -m $FIRSTMACHINE -f $SCT_MACHINES_$OAR_JOB_ID broadcast get { HIvbacreat.ctf} {/home/g5k/SCTBackupSession_$OAR_JOB_ID.$START_TIME/}
sleep $JUST_TWO_SECONDS
# Execution of code
taktuk -s -f SCT_MACHINES_$OAR_JOB_ID broadcast exec { ./HIvbalcreat }
# output of HIvbalcreat to Node 1 from all...
taktuk -m $FIRSTMACHINE -f $SCT_MACHINES_$OAR_JOB_ID broadcast get { HIvbalcreat.ctf} {/home/g5k/SCTBackupSession_$OAR_JOB_ID.$START_TIME/}
sleep $JUST_TWO_SECONDS
# Execution of code
taktuk -s -f SCT_MACHINES_$OAR_JOB_ID broadcast exec { ./Screat }
# output of Screat to Node 1 from all...
taktuk -m $FIRSTMACHINE -f $SCT_MACHINES_$OAR_JOB_ID broadcast get { Screat.ctf} {/home/g5k/SCTBackupSession_$OAR_JOB_ID.$START_TIME/}
sleep $JUST_TWO_SECONDS
